function [Y] = evaluateTimes(features, ifilenames, exp_file, min_file, com_file)

algnames = cell(3,1);
algnames(1,1) = {'Expknap'};
algnames(2,1) = {'Minknap'};
algnames(3,1) = {'Combo'};
count = 0;

NO_INSTANCES = size(features,1)

exp_times = ones(NO_INSTANCES, 1) * 1e2;
min_times = ones(NO_INSTANCES, 1) * 1e2;
com_times = ones(NO_INSTANCES, 1) * 1e2;

exp_solns = - ones(NO_INSTANCES, 1);
min_solns = - ones(NO_INSTANCES, 1);
com_solns = - ones(NO_INSTANCES, 1);

f = fopen(min_file);
tline = fgetl(f);
found = false;
while ischar(tline)
	fline = strread(tline, '%s', -1, 'delimiter', ',');
	for i = 1:size(ifilenames,1)
		if strcmp(fline{1},ifilenames{i})
			min_times(i) = str2double(fline{2});
			min_solns(i) = str2double(fline{3}); 
			count = count + 1
		end
	end
	tline = fgetl(f);
end
fclose(f);

min_times = min(min_times,15);

f = fopen(com_file);
tline = fgetl(f);
found = false;
while ischar(tline)
	fline = strread(tline, '%s', -1, 'delimiter', ',');
	for i = 1:size(ifilenames,1)
		if strcmp(fline{1},ifilenames{i})
			com_times(i) = str2double(fline{2});
			com_solns(i) = str2double(fline{3}); 
			count = count + 1
		end
	end
	tline = fgetl(f);
end
fclose(f);

com_times = min(com_times,15);

% get runtimes from expknap
f = fopen(exp_file); %file openned
tline = fgetl(f); %check first line in file
found = false; %initialises the 'found' variable
while ischar(tline)
	fline = strread(tline, '%s', -1, 'delimiter', ',');
	for i = 1:size(ifilenames,1)
		if strcmp(fline{1},ifilenames{i})
			exp_times(i) = str2double(fline{2});
			exp_solns(i) = str2double(fline{3}); 
			count = count + 1
		end
	end
	tline = fgetl(f);
end
fclose(f);

exp_times = min(exp_times,15);

Y2tmp = [exp_times,min_times,com_times];
Y2 = [algnames';num2cell(Y2tmp)];
Y = Y2(:,:);

%save('evaltimes-output')

end